Keyless Certificates

KeylessCertificates

Methods

list(, ): <>
get/zones/{zone_id}/keyless_certificates

List all Keyless SSL configurations for a given zone.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

SSL and Certificates Write SSL and Certificates Read

Parameters
zone_id: string
(maxLength: 32)

Identifier.

Returns
id: string
(maxLength: 32)

Keyless certificate identifier tag.

created_on: string
(format: date-time)

When the Keyless SSL was created.

enabled: boolean

Whether or not the Keyless SSL is on or off.

host: string
(format: hostname, maxLength: 253)

The keyless SSL name.

modified_on: string
(format: date-time)

When the Keyless SSL was last modified.

name: string
(maxLength: 180)

The keyless SSL name.

permissions: Array<string>

Available permissions for the Keyless SSL for the current user requesting the item.

port: number
(maxLength: 65535, default: 24008)

The keyless SSL port used to communicate between Cloudflare and the client's Keyless SSL server.

status: "active" | "deleted"

Status of the Keyless SSL.

tunnel?:

Configuration for using Keyless SSL through a Cloudflare Tunnel

Request example
200Example
get(, , ):
get/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

Get details for one Keyless SSL configuration.

create(, ):
post/zones/{zone_id}/keyless_certificates

Creates a Keyless SSL configuration that allows SSL/TLS termination without exposing private keys to Cloudflare. Keys remain on your infrastructure.

edit(, , ):
patch/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

This will update attributes of a Keyless SSL. Consists of one or more of the following: host,name,port.

delete(, , ):
delete/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}

Removes a Keyless SSL configuration. SSL connections will no longer use the keyless server for cryptographic operations.

Domain types

KeylessCertificate{…}
Tunnel{…}

Configuration for using Keyless SSL through a Cloudflare Tunnel